Page MenuHomePhabricator

Source link card pointing to the wrong article
Closed, InvalidPublic

Description

Translating "Plants in space" from English to Spanish I selected the "EEI" text (Spanish initials for the International Space Station, ISS in English) and I got two link cards: (a) one pointing to the International Space Station article in Spanish ("Estación Espacial Internacional") as the target card, and another one pointing to the "Edison Electric Institute" in English as the source card.

I'd expect the source card to point to the International Space Station article in English which is the equivalent article in English according to Wikidata.

When fixing this, it would be great to create a specific test case to avoid regressions, since I think this seems an issue we already fixed in the past.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: ContentTranslation.
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 8:16 PM
Amire80 triaged this task as High priority.Jul 18 2015, 10:46 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Amire80 moved this task from Backlog to Links on the ContentTranslation-Release6 board.
Arrbee edited a custom field.Aug 12 2015, 7:22 AM
Arrbee lowered the priority of this task from High to Normal.Aug 12 2015, 7:29 AM

Removing from the sprint, but should be tested after resolving T85932.

Arrbee edited a custom field.

Adding to the sprint for Runa to test.

Amire80 moved this task from Backlog to QA on the LE-CX6-Sprint 4 board.Sep 21 2015, 7:50 AM
Arrbee added a subscriber: Arrbee.Sep 21 2015, 1:15 PM

The problem that @Pginer-WMF spotted still exists. See image:

However, something seems broken in here with this particular link. Although the en and es articles are connected through Wikidata, the link is not getting automatically adapted. See below:

Are you talking about the International Space Station link? I see that it is adapted now. Could it be a glitch?..

In any case, yes, this is still a bug.

Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 3:19 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 8:16 AM
Amire80 moved this task from Bugs to Out of Beta on the ContentTranslation board.May 9 2017, 5:47 PM
Pginer-WMF closed this task as Invalid.Feb 18 2019, 2:36 PM

In the new version this will be supported in T197075: CX2: Show link card for source links